Subject: Re: [syzbot] WARNING: kmalloc bug in bpf

From: syzbot <[email-masked]>
Date: Fri, 22 Apr 2022 11:53:10 -0700

syzbot suspects this issue was fixed by commit:

commit 0708a0afe291bdfe1386d74d5ec1f0c27e8b9168
Author: Daniel Borkmann <[email-masked]>
Date:   Fri Mar 4 14:26:32 2022 +0000

    mm: Consider __GFP_NOWARN flag for oversized kvmalloc() calls

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1499c6fcf00000
start commit:   1d5a47424040 sfc: The RX page_ring is optional
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=1a86c22260afac2f
dashboard link: https://syzkaller.appspot.com/bug?extid=cecf5b7071a0dfb76530
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=176738e7b00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=13b4508db00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: mm: Consider __GFP_NOWARN flag for oversized kvmalloc() calls

For information about bisection process see: https://goo.gl/tpsmEJ#bisection